Bug 656625 - Please Update Spec File to use %ghost on files in /var/run and /var/lock
Summary: Please Update Spec File to use %ghost on files in /var/run and /var/lock
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: mod_fcgid
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Paul Howarth
QA Contact: Fedora Extras Quality Assurance
URL: http://lists.fedoraproject.org/piperm...
Whiteboard:
Depends On: 656600
Blocks: 827166
TreeView+ depends on / blocked
 
Reported: 2010-11-23 23:34 UTC by Lennart Poettering
Modified: 2012-05-31 19:39 UTC (History)
1 user (show)

Fixed In Version: mod_fcgid-2.3.6-2.fc15
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-04-07 11:03:14 UTC
Type: ---


Attachments (Terms of Use)

Description Lennart Poettering 2010-11-23 23:34:21 UTC
Your package mod_fcgid appears to include a file in /var/run or /var/lock. With an upcoming change in Rawhide these directories will now be mounted as tmpfs. For details about this change please consult http://lists.fedoraproject.org/pipermail/devel-announce/2010-November/000726.html For your package this means that you need add %ghost to all files that are placed in either of these two directories. Please make sure to make this change in time for the F15 cycle. For details about %ghost see http://www.rpm.org/max-rpm-snapshot/s1-rpm-inside-files-list-directives.html#S3-RPM-INSIDE-FLIST-GHOST-DIRECTIVE , for more information on the F15 feature see the feature page https://fedoraproject.org/wiki/Features/var-run-tmpfs . If your package already uses %ghost on these files, feel free to close this bug report right-away. Sorry for this mass bug filing, and if you have any further questions, don't hesitate to ask on fedora-devel or ask me personally. Thank you, Lennart

Comment 1 Paul Howarth 2010-12-01 15:00:11 UTC
/etc/tmpfiles.d/mod_fcgid.conf added to re-create /var/run/mod_fcgid at boot time in mod_fcgid-2.3.6-2.fc15.

The package still won't work with tmpfs on /var/run until httpd is similarly fixed (Bug #656600).

Comment 2 Paul Howarth 2011-04-07 11:03:14 UTC
httpd was fixed some time ago.


Note You need to log in before you can comment on or make changes to this bug.